Bug 825766 - client wizard should stop with clean message if interrupted
client wizard should stop with clean message if interrupted
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 08:22 EDT by Xiaoli Tian
Modified: 2015-05-14 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-05-28 08:22:07 EDT
Description of problem:
Enter Ctr+C in the middle of client wizard, the output is like following:
To connect to ec2-23-22-54-218.compute-1.amazonaws.com enter your OpenShift login (email or Red Hat login id): ^C/usr/lib/ruby/gems/1.8/gems/highline-1.5.1/lib/highline.rb:606:in `gets': Interrupt
	from /usr/lib/ruby/gems/1.8/gems/highline-1.5.1/lib/highline.rb:606:in `get_line'
	from /usr/lib/ruby/gems/1.8/gems/highline-1.5.1/lib/highline.rb:624:in `get_response'
	from /usr/lib/ruby/gems/1.8/gems/highline-1.5.1/lib/highline.rb:218:in `ask'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:83:in `login_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/helpers.rb:115:in `call'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/helpers.rb:115:in `section'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:82:in `login_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:42:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:42:in `run'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:40:in `each'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/lib/rhc/wizard.rb:40:in `run'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.12/bin/rhc:67
	from /usr/bin/rhc:19:in `load'
	from /usr/bin/rhc:19

Could we not show the code error message, but just stop and return it's interrupted.


Version-Release number of selected component (if applicable):
rhc-0.93.12

How reproducible:
Always

Steps to Reproduce:
1.Remove ~/.openshift/express.conf if you already have
2.Run rhc help
3.Or run rhc setup 
4.Enter Ctr+C in the middle of wizard
  
Actual results:
Return code error message

Expected results:
Stop with clean message


Additional info:
Comment 1 Clayton Coleman 2012-06-18 15:10:37 EDT
Added a top level catch on Interrupts.
Comment 2 Meng Bo 2012-06-19 06:30:58 EDT
checked on latest rhc client rhc-0.94.5, issue still exist
Comment 3 Meng Bo 2012-06-20 06:13:35 EDT
move to ON_QA
Comment 4 Meng Bo 2012-06-20 06:21:59 EDT
verified this bug on rhc-0.94.7

Note You need to log in before you can comment on or make changes to this bug.